Skip to main content
`Ctrl`+`K`

# DMSwarmCellDMGetFields

Returns the `DM` fields for the `DMSwarm`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCellDMGetFields(DMSwarmCellDM celldm, PetscInt *Nf, const char **names[])

Not Collective

## Input Parameter

- celldm - The `DMSwarmCellDM` object

## Output Parameters

- Nf - The number of fields

- names - The array of field names in the `DMSWARM`

## See Also

`DMSwarmCellDM`, `DM`, `DMSwarmSetCellDM()`

## Level

intermediate

## Location

src/dm/impls/swarm/swarmpic.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages